Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159164 - Xen install touches /usr/share/qemu
Summary: Xen install touches /usr/share/qemu
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Rik van Riel
QA Contact:
URL: http://bugzilla.xensource.com/cgi-bin...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-30 21:54 UTC by Jonathan S. Shapiro
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2-20050823
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 18:52:17 UTC


Attachments (Terms of Use)

Description Jonathan S. Shapiro 2005-05-30 21:54:31 UTC
After a great deal of pain, I managed to get a qemu RPM to build. I went to
install it on fc4test3 only to discover that the xen rpm already thinks it owns
/usr/share/qemu. This is bad.

The qemu bits should be installed in /usr/share/xen/ or perhaps if you wish
/usr/share/xen/qemu/, but it absolutely no way should be installed in the
rightful location of the qemu installation!

Comment 1 Jonathan S. Shapiro 2005-05-30 22:01:23 UTC
Hmm. On second thought I should add that I'm going to have to deinstall xen
until it is resolved. The conflict is breaking the Coyotos and EROS build.

Comment 2 Rik van Riel 2005-05-30 22:20:00 UTC
You are right.  I have seen you filed a bug on this upstream; I'll link the two
bugs and hope this problem will be fixed soon.

Comment 3 Fedora Update System 2005-08-26 21:37:20 UTC
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (combined with the latest kernel update) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.

Comment 4 Fedora Update System 2005-08-30 03:24:43 UTC
From User-Agent: XML-RPC

A new Xen version has been pushed to Fedora Core 4 updates.  This version of Xen (together with kernel 2.6.12-1.1435 or newer) should fix this issue.

Please reopen this bug if the problems continue with the latest Xen and kernel updates.


Note You need to log in before you can comment on or make changes to this bug.